# ftp_raw

(PHP 5, PHP 7)

ftp_raw — Sends an arbitrary command to an FTP server

### Description

ftp_raw ( resource `$ftp_stream` , string `$command` ) : array

Sends an arbitrary `command` to the FTP server.

### Parameters

`ftp_stream`

  The link identifier of the FTP connection.

`command`

  The command to execute.

### Return Values

Returns the server's response as an array of strings. No parsing is performed on the response string, nor does ftp_raw() determine if the command succeeded.

### Examples

Example #1 Using ftp_raw() to login to an FTP server manually.

`<?php
$fp = ftp_connect("ftp.example.com");
/* This is the same as:
ftp_login($fp, "joeblow", "secret"); */
ftp_raw($fp, "USER joeblow");
ftp_raw($fp, "PASS secret");
?>`

### See Also

- ftp_exec() - Requests execution of a command on the FTP server